#!/bin/sh
# script to load a data file into the current xvoms mysql database
# syntax: xvoms_load.sh <datafile> [<mysql_pass>]
# assumes tables have already been created and a password set
#
if [ "$1" == "" ]; then
   echo "Syntax: $0 <datafile> [<mysqlRootPass>]"
   exit 1
elif [ ! -e $1 ]; then
   echo Error: can not find file $1
   exit 1
fi
db_name=xvoms
if [ "$2" != "" ]; then
   mysql -u root --password=$2 ${db_name} < $1
else
   mysql -u root --password ${db_name} < $1
fi
