#!/bin/sh
# script to save a data file from the current xvoms mysql database
# syntax: xvoms_save.sh <datafile> [<mysql_pass>]
# assumes tables have already been created and a password set
#
db_name=xvoms
if [ "$1" == "" ]; then
   echo "Syntax: $0 <datafile> [<mysqlRootPass>]"
   exit 1
fi
if [ "$2" != "" ]; then
   mysqldump -u root --password=$2 ${db_name} > $1
else
   mysqldump -u root --password ${db_name} > $1
fi
